# coding=utf-8

"""

   Copyright 2015 Andreas Würl

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

"""

from __future__ import print_function
import os

import unittest
from assertpy import assert_that
import pytest
import citools

from citools.maven.dependencies import DependencyList


class TestPom:

    @pytest.fixture
    def pom(self):
        return citools.maven.Pom(os.path.join(os.path.dirname(__file__), 'pom.xml'))

    def test_modules(self, pom):
        modules = pom.modules
        assert_that(modules).contains("module1", "module2", "module3")

